Bug 499816 - bad handle umask in pam_mkhomedir
bad handle umask in pam_mkhomedir
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 07:55 EDT by Frantisek Hanzlik
Modified: 2009-12-27 15:33 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.0.91-9.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-27 15:33:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Hanzlik 2009-05-08 07:55:47 EDT
Description of problem:
Due to typing error in pam_mkhomedir.c is umask copied over skeldir,
see:

--- pam_mkhomedir.c.old	2009-03-03 14:56:01.000000000 +0100
+++ pam_mkhomedir.c	2009-05-08 13:40:53.000000000 +0200
@@ -84,7 +84,7 @@
       } else if (!strcmp(*argv, "debug")) {
          ctrl |= MKHOMEDIR_DEBUG;
       } else if (!strncmp(*argv,"umask=",6)) {
-	 strncpy(SkelDir,*argv+6,sizeof(UMask));
+	 strncpy(UMask,*argv+6,sizeof(UMask));
 	 UMask[sizeof(UMask)-1] = '\0';
       } else if (!strncmp(*argv,"skel=",5)) {
 	 strncpy(SkelDir,*argv+5,sizeof(SkelDir));

Version-Release number of selected component (if applicable):
pam-1.0.91-6.fc11 from 10-Apr-2009

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2009-06-09 11:26:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tomas Mraz 2009-09-01 11:32:48 EDT
This is fixed in rawhide pam-1.1.0.
Comment 3 Fedora Update System 2009-11-02 07:48:15 EST
pam-1.0.91-8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pam-1.0.91-8.fc11
Comment 4 Fedora Update System 2009-11-04 07:11:30 EST
pam-1.0.91-8.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pam'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10922
Comment 5 Fedora Update System 2009-11-11 10:04:45 EST
pam-1.0.91-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Gregory Lee Bartholomew 2009-12-07 17:44:12 EST
I'm still experiencing this error with pam-1.0.91-8.fc11.x86_64.

[root@home ~]# rpm -q pam
pam-1.0.91-8.fc11.x86_64

[root@home ~]# tail /var/log/secure | grep mkhomedir_helper
Dec  7 16:39:53 home mkhomedir_helper: PAM unable to read directory 0077: No such file or directory

[root@home ~]# cat /etc/pam.d/sshd | grep pam_mkhomedir.so
session [default=ignore] pam_mkhomedir.so umask=0077
Comment 7 Tomas Mraz 2009-12-07 18:05:42 EST
I'm sorry the patch was not properly applied.
Comment 8 Fedora Update System 2009-12-08 04:11:01 EST
pam-1.0.91-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pam-1.0.91-9.fc11
Comment 9 Fedora Update System 2009-12-09 23:31:28 EST
pam-1.0.91-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pam'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13037
Comment 10 Fedora Update System 2009-12-27 15:33:45 EST
pam-1.0.91-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.